# Type Alias ObjectListProps

type ObjectListProps = {
additionalFilter?: Record<string, any>;
facets?: Record<string, any>[];
filters?: Filters;
format?: FormatList;
limit?: number;
orders?: Orders;
page?: number;
query?: string;
}

- Defined in jamespot-user-api/src/types/utils.ts:239

##### Index

### Properties

additionalFilter?
facets?
filters?
format?
limit?
orders?
page?
query?

## Properties

### `Optional` additionalFilter

additionalFilter?: Record<string, any>

- Defined in jamespot-user-api/src/types/utils.ts:241

### `Optional` facets

facets?: Record<string, any>[]

- Defined in jamespot-user-api/src/types/utils.ts:243

### `Optional` filters

filters?: Filters

- Defined in jamespot-user-api/src/types/utils.ts:244

### `Optional` format

format?: FormatList

- Defined in jamespot-user-api/src/types/utils.ts:249

### `Optional` limit

limit?: number

- Defined in jamespot-user-api/src/types/utils.ts:246

### `Optional` orders

orders?: Orders

- Defined in jamespot-user-api/src/types/utils.ts:248

### `Optional` page

page?: number

- Defined in jamespot-user-api/src/types/utils.ts:247

### `Optional` query

query?: string

- Defined in jamespot-user-api/src/types/utils.ts:245